## MicroPython Servo Motor Library - DIYables_MicroPython_Servo
This MicroPython library is designed for any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit... to make it easy to use with servo motor 180°. It is easy to use for not only beginners but also experienced users... 

It is created by DIYables to work with DIYables Servo Motor, but also work with products from other brands. Please consider purchasing products from [DIYables Store on Amazon](https://amazon.com/diyables) to support our works.



Features
----------------------------
* Works with any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit...

Product Link
----------------------------
* [Servo Motor](https://diyables.io/products/servo-motor-sg90-180-degree)
* [Sensor Kit](https://diyables.io/products/sensor-kit)



Available Functions
----------------------------
* \_\_init\_\_(pin_number, min_pulse=600, max_pulse=2450, frequency=50)
* move_to_angle(angle)
* deinit()
* \_\_del\_\_()



Available Examples
----------------------------
* move.py
* sweep.py



Tutorials
----------------------------
* [Raspberry Pi Pico - Servo Motor](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-servo-motor)



References
----------------------------
* [MicroPython Servo Library](https://newbiely.com/tutorials/micropython/micropython-servo-motor-library)
